Bug 133515 - cups-config-daemon should send sighup to /var/run/cups.pid instead of /etc/init.d/cups restart
cups-config-daemon should send sighup to /var/run/cups.pid instead of /etc/in...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal-cups-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks: 133550
  Show dependency treegraph
 
Reported: 2004-09-24 12:28 EDT by Colin Walters
Modified: 2013-03-13 00:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 17:24:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Walters 2004-09-24 12:28:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809 Epiphany/1.3.8

Description of problem:
Invoking /etc/init.d/cups restart has several problems:
1) Makes writing a SELinux policy much more difficult
2) Makes network printers go away temporarily

it'd be better just to send SIGHUP to /var/run/cups.pid, which is in
the very latest cups package.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install j5-mom
2. Send it SIGHUMP

    

Additional info:
Comment 1 John (J5) Palmieri 2004-10-04 17:24:31 EDT
Done in rawhide

Note You need to log in before you can comment on or make changes to this bug.